#
# spec file for package dump1090
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dump1090
Version:        1.14+git.20180110
Release:        lp150.1.1
Summary:        An ADS-B Mode S decoder for RTLSDR devices (MalcolmRobb's fork)
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Other
Url:            https://github.com/MalcolmRobb/dump1090
Source:         %{name}-%{version}.tar.xz
BuildRequires:  git-core
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(librtlsdr)
BuildRequires:  pkgconfig(libusb-1.0)

%description
An ADS-B Mode S decoder specifically designed for RTLSDR devices.
MalcolmRobb's fork

%prep
%setup -q

%build
make CC="cc %{optflags} -Wno-format-truncation" %{?_smp_mflags}

%install
install -D -p -m 0755 dump1090 \
  %{buildroot}/%{_bindir}/dump1090
install -D -p -m 0755 view1090 \
  %{buildroot}/%{_bindir}/view1090

%check
make test %{?_smp_mflags}

%files
%doc README.md
%{_bindir}/dump1090
%{_bindir}/view1090

%changelog
* Sat Feb 17 2018 mardnh@gmx.de
- Switch to mutability's fork
- Run tests during build
* Mon Apr 24 2017 mpluskal@suse.com
- Install all executeables
- Small packaging adjustement
* Sun Nov  2 2014 mardnh@gmx.de
- Update to version 0.0.0+git.1414760519.bff92c4:
  + link to FlightAware for flight details
  + Add Distance to Table Info
  + Center "Distance from Site" for Selected Plane
  + Add Degree Symbol to Track Value
  + Change the Background Color for a Plotted Plane
  + Improve map display layout and styling
  + Don't restrict sidebar width
  + Add flightradar24.com link
  + B"H make sure to close sockets when finished
  + B"H net_io.c: revert previous change and advertise HTTP 1.1
  + Check if bit correction happened before bailing out due to a bad CRC.
  + B"H net_io: http: check if file can be sent
  + Rearrange phase enhancement so that it handles phase errors in both directions. This almost doubles the number of messages recovered by phase enhancement.
  + B"H net_io.c: add missing else statement
  + B"H net_io.c: http serve: return HTTP response codes
  + B"H net_io.c: use %%d like local code
  + B"H net_io.c: http server: content should be dynamically allocated
  + B"H net_io.c http server: hopefully mem code is OK now
  + Fix --gain with fractional gain values.
  + Reject out-of-range latitudes when doing CPR decoding.
  + Prefer to use global CPR decoding where possible.
  + Add --stats-every <secs> option.
  + Add stats for number of sample blocks processed and dropped.
  + Don't output message reception time in SBS format for remote messages.
  + Move the stats reset strictly after stats display, so the total message count is shown correctly.
  + Undo Parts of Pull request #29
  + Read Files are binary
  + Only use O_BINARY on Win32
  + Detect client EOF properly. Handle EWOULDBLOCK.
  + Use the anet-reported error string when reporting bind errors.
  + Always emit a message reception time, as otherwise the FR24 uploader is unhappy.
  + Make Pull # compatible with Pull #42
  + Change the marker color for aircraft with no recent updates.
  + Ability to assign bind address for services
  + Fix W3C Validation Errors #34
  + Add Windows resource file for version numbering
  + Fix warnings and Windows compile problems
  + Change default binding to 0.0.0.0
  + Publish version 1.10.2910.14
  + More Updates to Pull #54
  + Publish version 1.10.3010.14
* Tue Sep 23 2014 mardnh@gmx.de
- Update to version 0.0.0+git.1407335348.a82df07:
  + Version 1.09.1007.14
  + Version 1.09.1607.14
  + Tidy up interactive.c
  + net_io port 30003 bug
  + Version 1.09.0608.14
* Sat Aug  2 2014 mardnh@gmx.de
- Update to version 0.0.0+git.1405520502.a17e5b0
* Wed Sep  4 2013 mardnh@gmx.de
- initial package written from scratch
